"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
// @codepen
var React = require("react");
var Slider_1 = require("office-ui-fabric-react/lib/Slider");
var Stack_1 = require("../Stack");
var Styling_1 = require("office-ui-fabric-react/lib/Styling");
var VerticalStackShrinkExample = /** @class */ (function (_super) {
    tslib_1.__extends(VerticalStackShrinkExample, _super);
    function VerticalStackShrinkExample(props) {
        var _this = _super.call(this, props) || this;
        _this._onHeightChange = function (value) {
            _this.setState({ stackHeight: value });
        };
        _this.state = {
            stackHeight: 100
        };
        return _this;
    }
    VerticalStackShrinkExample.prototype.render = function () {
        var styles = Styling_1.mergeStyleSets({
            root: {
                background: Styling_1.DefaultPalette.themeTertiary,
                height: this.state.stackHeight + "%",
                overflow: 'hidden'
            },
            item: {
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center',
                background: Styling_1.DefaultPalette.themePrimary,
                color: Styling_1.DefaultPalette.white,
                overflow: 'hidden'
            },
            container: {
                height: 200
            }
        });
        return (React.createElement(Stack_1.Stack, { gap: 5 },
            React.createElement(Slider_1.Slider, { label: "Change the stack height to see how child items shrink:", min: 1, max: 100, step: 1, defaultValue: 100, showValue: true, onChange: this._onHeightChange }),
            React.createElement("div", { className: styles.container },
                React.createElement(Stack_1.Stack, { gap: 5, padding: 10, className: styles.root },
                    React.createElement(Stack_1.Stack.Item, { grow: true, className: styles.item }, "I shrink"),
                    React.createElement(Stack_1.Stack.Item, { grow: true, className: styles.item }, "I shrink"),
                    React.createElement(Stack_1.Stack.Item, { grow: true, disableShrink: true, className: styles.item, styles: { root: { height: 50 } } }, "I don't shrink"),
                    React.createElement(Stack_1.Stack.Item, { grow: true, className: styles.item }, "I shrink")))));
    };
    return VerticalStackShrinkExample;
}(React.Component));
exports.VerticalStackShrinkExample = VerticalStackShrinkExample;
//# sourceMappingURL=Stack.Vertical.Shrink.Example.js.map