import * as tslib_1 from "tslib";
import * as React from 'react';
import { TextField } from 'office-ui-fabric-react/lib/TextField';
import './TextField.Examples.scss';
import { lorem } from 'office-ui-fabric-react/lib/utilities/exampleData';
var TextFieldMultilineExample = /** @class */ (function (_super) {
    tslib_1.__extends(TextFieldMultilineExample, _super);
    function TextFieldMultilineExample(props) {
        var _this = _super.call(this, props) || this;
        _this._onChange = function (ev, newText) {
            var newMultiline = newText.length > 50;
            if (newMultiline !== _this.state.multiline) {
                _this.setState({ multiline: newMultiline });
            }
        };
        _this.state = { multiline: false };
        _this._lorem = lorem(100);
        return _this;
    }
    TextFieldMultilineExample.prototype.render = function () {
        return (React.createElement("div", { className: "docs-TextFieldExample" },
            React.createElement(TextField, { label: "Standard", multiline: true, rows: 4 }),
            React.createElement(TextField, { label: "Disabled", multiline: true, rows: 4, disabled: true, value: this._lorem }),
            React.createElement(TextField, { label: "Required", multiline: true, rows: 4, required: true }),
            React.createElement(TextField, { label: "With error message", multiline: true, rows: 4, errorMessage: "This is an error message." }),
            React.createElement(TextField, { label: "Non-resizable", multiline: true, resizable: false }),
            React.createElement(TextField, { label: "With auto adjusting height", multiline: true, autoAdjustHeight: true }),
            React.createElement(TextField, { label: "Switches from single to multiline if more than 50 characters are entered", multiline: this.state.multiline, onChange: this._onChange })));
    };
    return TextFieldMultilineExample;
}(React.Component));
export { TextFieldMultilineExample };
//# sourceMappingURL=TextField.Multiline.Example.js.map